package com.hwrj.cloud.portal.model;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

public class ZipkinAnnotations implements Serializable {
    @ApiModelProperty(value = "If non zero, this means the trace uses 128 bit traceIds instead of 64 bit")
    private Long traceIdHigh;

    @ApiModelProperty(value = "coincides with zipkin_spans.trace_id")
    private Long traceId;

    @ApiModelProperty(value = "coincides with zipkin_spans.id")
    private Long spanId;

    @ApiModelProperty(value = "BinaryAnnotation.key or Annotation.value if type == -1")
    private String aKey;

    @ApiModelProperty(value = "BinaryAnnotation.type() or -1 if Annotation")
    private Integer aType;

    @ApiModelProperty(value = "Used to implement TTL; Annotation.timestamp or zipkin_spans.timestamp")
    private Long aTimestamp;

    @ApiModelProperty(value = "Null when Binary/Annotation.endpoint is null")
    private Integer endpointIpv4;

    @ApiModelProperty(value = "Null when Binary/Annotation.endpoint is null")
    private Short endpointPort;

    @ApiModelProperty(value = "Null when Binary/Annotation.endpoint is null")
    private String endpointServiceName;

    @ApiModelProperty(value = "BinaryAnnotation.value(), which must be smaller than 64KB")
    private byte[] aValue;

    @ApiModelProperty(value = "Null when Binary/Annotation.endpoint is null, or no IPv6 address")
    private byte[] endpointIpv6;

    private static final long serialVersionUID = 1L;

    public Long getTraceIdHigh() {
        return traceIdHigh;
    }

    public void setTraceIdHigh(Long traceIdHigh) {
        this.traceIdHigh = traceIdHigh;
    }

    public Long getTraceId() {
        return traceId;
    }

    public void setTraceId(Long traceId) {
        this.traceId = traceId;
    }

    public Long getSpanId() {
        return spanId;
    }

    public void setSpanId(Long spanId) {
        this.spanId = spanId;
    }

    public String getaKey() {
        return aKey;
    }

    public void setaKey(String aKey) {
        this.aKey = aKey;
    }

    public Integer getaType() {
        return aType;
    }

    public void setaType(Integer aType) {
        this.aType = aType;
    }

    public Long getaTimestamp() {
        return aTimestamp;
    }

    public void setaTimestamp(Long aTimestamp) {
        this.aTimestamp = aTimestamp;
    }

    public Integer getEndpointIpv4() {
        return endpointIpv4;
    }

    public void setEndpointIpv4(Integer endpointIpv4) {
        this.endpointIpv4 = endpointIpv4;
    }

    public Short getEndpointPort() {
        return endpointPort;
    }

    public void setEndpointPort(Short endpointPort) {
        this.endpointPort = endpointPort;
    }

    public String getEndpointServiceName() {
        return endpointServiceName;
    }

    public void setEndpointServiceName(String endpointServiceName) {
        this.endpointServiceName = endpointServiceName;
    }

    public byte[] getaValue() {
        return aValue;
    }

    public void setaValue(byte[] aValue) {
        this.aValue = aValue;
    }

    public byte[] getEndpointIpv6() {
        return endpointIpv6;
    }

    public void setEndpointIpv6(byte[] endpointIpv6) {
        this.endpointIpv6 = endpointIpv6;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", traceIdHigh=").append(traceIdHigh);
        sb.append(", traceId=").append(traceId);
        sb.append(", spanId=").append(spanId);
        sb.append(", aKey=").append(aKey);
        sb.append(", aType=").append(aType);
        sb.append(", aTimestamp=").append(aTimestamp);
        sb.append(", endpointIpv4=").append(endpointIpv4);
        sb.append(", endpointPort=").append(endpointPort);
        sb.append(", endpointServiceName=").append(endpointServiceName);
        sb.append(", aValue=").append(aValue);
        sb.append(", endpointIpv6=").append(endpointIpv6);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}